%define pkg_name        Regexp-Common-IRC
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 1.n0i.1

Summary:       Provide patterns for parsing IRC messages
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Regexp/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Regexp::Common)


%description
This is a plugin for Regexp::Common to support IRC RFC patterns.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path ex/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes ex/ README


%changelog
* Wed Sep 19 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.03
